Skip to main content
GET
/
app-events
List structured app events
curl --request GET \
  --url https://api.mobilerun.ai/app-events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rawEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventType": "<string>",
      "payload": {},
      "occurredAt": "<string>",
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "hasNext": true,
    "hasPrev": true,
    "page": 2,
    "pageSize": 2,
    "pages": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Query Parameters

page
integer
default:1
pageSize
integer
default:10
eventType
string
Maximum string length: 128
source
enum<string>
Available options:
app,
system,
device,
webhook
deviceId
string<uuid>
from
string | null
to
string | null

Response

200 - application/json

App event history

items
object[]
required
pagination
object
required